CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2008-0415

Mozilla Firefox before 2.0.0.12, Thunderbird before 2.0.0.12, and SeaMonkey before 1.1.8 allows remote attackers to execute script outside of the sandbox and conduct cross-site scripting (XSS) attacks via multiple vectors including the XMLDocument.load function, aka "JavaScript privilege escalation bugs."
Publish Date : 2008-02-08 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat critical 2008-01-28 2008-02-07
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2008-0415 oval:org.opensuse.security:def:20080415 unix
DSA-1484 xulrunner -- several vulnerabilities oval:org.mitre.oval:def:8000 unix
DSA-1484-1 xulrunner - several vulnerabilities oval:org.mitre.oval:def:20267 unix
DSA-1485 icedove -- several vulnerabilities oval:org.mitre.oval:def:7914 unix
DSA-1485-2 icedove - several vulnerabilities oval:org.mitre.oval:def:18417 unix
DSA-1489 iceweasel -- several vulnerabilities oval:org.mitre.oval:def:7909 unix
DSA-1489-1 iceweasel - several vulnerabilities oval:org.mitre.oval:def:18434 unix
DSA-1506 iceape -- several vulnerabilities oval:org.mitre.oval:def:8162 unix
DSA-1506-1 iceape - several vulnerabilities oval:org.mitre.oval:def:20074 unix
ELSA-2008:0103: firefox security update (Critical) oval:org.mitre.oval:def:22437 unix
ELSA-2008:0105: thunderbird security update (Critical) oval:org.mitre.oval:def:21756 unix
Mozilla Firefox before 2.0.0.12, Thunderbird before 2.0.0.12, and SeaMonkey before 1.1.8 allows remote attackers to exec... oval:org.mitre.oval:def:9897 unix
RHSA-2008:0103: firefox security update (Critical) oval:com.redhat.rhsa:def:20080103 unix
RHSA-2008:0104: seamonkey security update (Critical) oval:com.redhat.rhsa:def:20080104 unix
RHSA-2008:0105: thunderbird security update (Critical) oval:com.redhat.rhsa:def:20080105 unix
USN-582-2 -- mozilla-thunderbird oval:org.mitre.oval:def:17244 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2008-0415

# Product Type Vendor Product Version Update Edition Language
1 Application Mozilla Firefox 2.0.0.11 Version Details Vulnerabilities
2 Application Mozilla Seamonkey 1.1.7 Version Details Vulnerabilities
3 Application Mozilla Thunderbird 2.0.0.11 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mozilla Firefox 1
Mozilla Seamonkey 1
Mozilla Thunderbird 1

- References For CVE-2008-0415

http://browser.netscape.com/releasenotes/ CONFIRM
http://secunia.com/advisories/28754
SECUNIA 28754
http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00006.html
SUSE SUSE-SA:2008:008
http://secunia.com/advisories/28808
SECUNIA 28808
http://secunia.com/advisories/28758
SECUNIA 28758
http://secunia.com/advisories/28766
SECUNIA 28766
http://secunia.com/advisories/28839
SECUNIA 28839
http://secunia.com/advisories/28818
SECUNIA 28818
http://secunia.com/advisories/28815
SECUNIA 28815
http://secunia.com/advisories/28865
SECUNIA 28865
http://secunia.com/advisories/28864
SECUNIA 28864
http://secunia.com/advisories/28879
SECUNIA 28879
http://secunia.com/advisories/28877
SECUNIA 28877
http://secunia.com/advisories/28939
SECUNIA 28939
http://secunia.com/advisories/28924
SECUNIA 28924
http://secunia.com/advisories/28958
SECUNIA 28958
http://secunia.com/advisories/29049
SECUNIA 29049
http://secunia.com/advisories/29086
SECUNIA 29086
http://secunia.com/advisories/29098
SECUNIA 29098
http://secunia.com/advisories/29211
SECUNIA 29211
http://secunia.com/advisories/29167
SECUNIA 29167
http://secunia.com/advisories/29164
SECUNIA 29164
http://secunia.com/advisories/30327
SECUNIA 30327
http://secunia.com/advisories/29567
SECUNIA 29567
http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.445399
SLACKWARE SSA:2008-061-01
http://support.novell.com/techcenter/psdb/6251b18e050302ebe7fe74294b55c818.html CONFIRM
http://wiki.rpath.com/Advisories:rPSA-2008-0051 CONFIRM
http://wiki.rpath.com/Advisories:rPSA-2008-0093 CONFIRM
http://www.debian.org/security/2008/dsa-1484
DEBIAN DSA-1484
http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0093 CONFIRM
http://www.debian.org/security/2008/dsa-1485
DEBIAN DSA-1485
http://www.frsirt.com/english/advisories/2008/0453/references
VUPEN ADV-2008-0453
http://www.debian.org/security/2008/dsa-1489
DEBIAN DSA-1489
http://www.debian.org/security/2008/dsa-1506
DEBIAN DSA-1506
http://www.frsirt.com/english/advisories/2008/0627/references
VUPEN ADV-2008-0627
http://www.frsirt.com/english/advisories/2008/0454/references
VUPEN ADV-2008-0454
http://www.mandriva.com/security/advisories?name=MDVSA-2008:062
MANDRIVA MDVSA-2008:062
http://www.mandriva.com/security/advisories?name=MDVSA-2008:048
MANDRIVA MDVSA-2008:048
http://www.redhat.com/support/errata/RHSA-2008-0103.html
REDHAT RHSA-2008:0103
http://www.redhat.com/support/errata/RHSA-2008-0105.html
REDHAT RHSA-2008:0105
http://www.redhat.com/support/errata/RHSA-2008-0104.html
REDHAT RHSA-2008:0104
http://www.securityfocus.com/archive/1/archive/1/487826/100/0/threaded
BUGTRAQ 20080209 rPSA-2008-0051-1 firefox
http://www.securityfocus.com/archive/1/archive/1/488002/100/0/threaded
BUGTRAQ 20080212 FLEA-2008-0001-1 firefox
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00274.html
FEDORA FEDORA-2008-1435
https://issues.rpath.com/browse/RPL-1995 CONFIRM
http://www.ubuntu.com/usn/usn-582-2
UBUNTU USN-582-2
http://www.ubuntu.com/usn/usn-582-1
UBUNTU USN-582-1
http://www.ubuntu.com/usn/usn-576-1
UBUNTU USN-576-1
http://www.securitytracker.com/id?1019327
SECTRACK 1019327
http://www.securityfocus.com/bid/27683
BID 27683 Mozilla Thunderbird/Seamonkey/Firefox 2.0.0.11 Multiple Remote Vulnerabilities Release Date:2008-08-01
http://www.securityfocus.com/archive/1/archive/1/488971/100/0/threaded
BUGTRAQ 20080229 rPSA-2008-0093-1 thunderbird
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00309.html
FEDORA FEDORA-2008-1459
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00905.html
FEDORA FEDORA-2008-2060
http://secunia.com/advisories/31043
SECUNIA 31043
http://secunia.com/advisories/30620
SECUNIA 30620
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00946.html
FEDORA FEDORA-2008-2118
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00381.html
FEDORA FEDORA-2008-1535
http://sunsolve.sun.com/search/document.do?assetkey=1-26-239546-1
SUNALERT 239546
http://sunsolve.sun.com/search/document.do?assetkey=1-26-238492-1
SUNALERT 238492
http://www.frsirt.com/english/advisories/2008/1793/references
VUPEN ADV-2008-1793
http://www.frsirt.com/english/advisories/2008/2091/references
VUPEN ADV-2008-2091
http://www.mozilla.org/security/announce/2008/mfsa2008-03.html CONFIRM
http://www.gentoo.org/security/en/glsa/glsa-200805-18.xml
GENTOO GLSA-200805-18
https://bugzilla.mozilla.org/buglist.cgi?bug_id=386695,393761,393762,399298,407289,372075,363597 CONFIRM

- Metasploit Modules Related To CVE-2008-0415

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.